<?php
const SUPER_ADMIN = 0;
const ADMIN = 1;
const AUCTION_MANAGER = 2;
const CONTACT_LEAD_MANAGER = 3;
const USER_MANAGER = 4;
const BANNER_MANAGER = 5;

function check_admin_role($role)
{
    $admin_role = session()->get('role');

    if ($admin_role == SUPER_ADMIN) return true;

    switch ($role) {
        case 'admin-manager':
            if ($admin_role == SUPER_ADMIN) return true;
            else false;
            break;
        case 'auction-manager':
            if ($admin_role == ADMIN) return true;
            if ($admin_role == AUCTION_MANAGER) return true;
            else return false;
            break;
        case 'contact-lead-manager':
            if ($admin_role == ADMIN) return true;
            if ($admin_role == CONTACT_LEAD_MANAGER) return true;
            else return false;
            break;
        case 'user-manager':
            if ($admin_role == ADMIN) return true;
            if ($admin_role == USER_MANAGER) return true;
            else return false;
            break;
        case 'banner-manager':
            if ($admin_role == ADMIN) return true;
            if ($admin_role == BANNER_MANAGER) return true;
            else return false;
            break;
        default:
            break;
    }
}

function getAdminRole(): string
{

    switch (session()->get('role')) {
        case SUPER_ADMIN:
            return "Super Admin";
            break;
        case ADMIN:
            return "Admin";
            break;
        case AUCTION_MANAGER:
            return "Auction Manager";
            break;
        case CONTACT_LEAD_MANAGER:
            return "Contact Lead Manager";
            break;
        case USER_MANAGER:
            return "User Manager";
            break;
        case BANNER_MANAGER:
            return "Banner Manager";
            break;
        default:
            break;
    }
    return "";
}
