<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card card-user">
            <div class="card-header">
                <h5 class="card-title">Edit Admin</h5>
            </div>
            <div class="card-body">
                <form method="post">
                    <?= csrf_field() ?>
                    <input type="hidden" name="action" value="add">
                    <input type="hidden" name="id" value="0">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name</label>
                                <input type="text" class="form-control" placeholder="Admin name" name="name" value="<?= $admin['name'] ?>">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['name'])) ?  session()->getFlashdata('validation')['name'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email</label>
                                <input type="email" readonly class="form-control" placeholder="Admin email" name="email" value="<?= $admin['email'] ?>">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['email'])) ?  session()->getFlashdata('validation')['email'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Admin Role</label>
                                <select class="form-control" name="role">
                                    <?php foreach (ADMIN_ROLES as $k => $role) : ?>
                                        <option value="<?= $k ?>" <?= ($k == $admin['role']) ? "selected" : "" ?>><?= ucwords($role) ?></option>
                                    <?php endforeach ?>
                                </select>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['role'])) ?  session()->getFlashdata('validation')['role'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Password</label>
                                <input type="password" class="form-control" placeholder="Admin password" name="password">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['password'])) ?  session()->getFlashdata('validation')['password'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Confirm password</label>
                                <input type="password" class="form-control" placeholder="Confirm admin password" name="confirm_password">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['confirm_password'])) ?  session()->getFlashdata('validation')['confirm_password'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                            <button type="submit" class="btn btn-primary btn-round">Update</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<?= $this->endSection() ?>