<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card card-user">
            <div class="card-header">
                <h5 class="card-title">Edit Hero</h5>
            </div>
            <div class="card-body">
                <form method="post">
                    <?= csrf_field() ?>
                    <input type="hidden" name="action" value="add">
                    <input type="hidden" name="id" value="0">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name</label>
                                <input type="text" class="form-control" placeholder="Hero Title" name="title" value="">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['title'])) ?  session()->getFlashdata('validation')['title'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Add Hero</label>
                               <input type="file" name="image" placeholder="Add Hero">
                               <div class="drop-zone">
                                                <span class="drop-zone__prompt">Drop image here or click to upload</span>
                                                <input type="file" name="gallery_image" class="drop-zone__input"
                                                    value="" />
                                            </div>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['image'])) ?  session()->getFlashdata('validation')['image'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Hero Heading</label>
                                <input type="text" class="form-control" name="heading" placeholder="Add Heading">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['heading'])) ?  session()->getFlashdata('validation')['heading'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Hero Heading 2</label>
                                <input type="text" class="form-control" name="heading_two" placeholder="Add Heading Two">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['heading_two'])) ?  session()->getFlashdata('validation')['heading_two'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Paragraph</label>
                                <textarea class="form-control" name="paragraph"></textarea>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['paragraph'])) ?  session()->getFlashdata('validation')['paragraph'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Paragraph 2</label>
                                <textarea class="form-control" name="paragraph_two"></textarea>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['paragraph_two'])) ?  session()->getFlashdata('validation')['paragraph_two'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Hero Button</label>
                                <input type="text" class="form-control" name="button_one" placeholder="Add button text ">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['button_one'])) ?  session()->getFlashdata('validation')['button_one'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Hero Button Link</label>
                                <input type="url" class="form-control" name="button_link" placeholder="Add button link">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['button_link'])) ?  session()->getFlashdata('validation')['button_link'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Hero Button Two</label>
                                <input type="text" class="form-control" name="button_two" placeholder="Add button text 2">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['button_two'])) ?  session()->getFlashdata('validation')['button_two'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Hero Button 2 Link</label>
                                <input type="url" class="form-control" name="button_two_url" placeholder="Add button link 2">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['button_two_url'])) ?  session()->getFlashdata('validation')['button_two_url'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                            <button type="submit" class="btn btn-primary btn-round">Update Hero</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<?= $this->endSection() ?>