<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <link rel="apple-touch-icon" sizes="76x76" href="../assets/img/apple-icon.png">
    <link rel="icon" type="image/png" href="../assets/img/favicon.png">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>
        Login
    </title>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
    <!--     Fonts and icons     -->
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">
    <!-- CSS Files -->
    <link href="../assets/css/bootstrap.min.css" rel="stylesheet" />
</head>

<body>
    <section class="my-5">
        <div class="container">
            <div class="w-50 m-auto" style="max-width: 400px;">
                <div class="card p-3">
                    <div class="text-center m-5">
                        <h1>Login</h1>
                    </div>
                    <?php if (null !== session()->getFlashdata('failed')) : ?>
                        <div class="alert alert-danger">
                            <?= session()->getFlashdata('failed'); ?>
                        </div>
                    <?php endif ?>
                    <form action="" method="post">
                        <?= csrf_field() ?>
                        <div class="mb-3">
                            <label for="email" class="form-label">Email address</label>
                            <input type="email" class="form-control" name="email" id="email" placeholder="Enter your email" value="<?= old('email') ?>">
                            <div class="text-danger">
                                <?php
                                echo (isset(session()->getFlashdata('validationLogin')['email'])) ?  session()->getFlashdata('validationLogin')['email'] : "";
                                ?>
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="password" class="form-label">Password</label>
                            <input type="password" class="form-control" name="password" id="password" placeholder="Enter your password">
                            <div class="text-danger">
                                <?php
                                echo (isset(session()->getFlashdata('validationLogin')['password'])) ?  session()->getFlashdata('validationLogin')['password'] : "";
                                ?>
                            </div>
                        </div>

                        <button class="btn btn-primary mb-3">
                            Login
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </section>
</body>

</html>