<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<link href="https://cdn.datatables.net/2.0.0/css/dataTables.bootstrap4.css" rel="stylesheet" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <h4 class="card-title">All Contact Leads</h4>
                </div>
            </div>
            <div class="card-body">
                <div class="table-container">
                    <table id="auctionTable" class="table table-striped table-bordered table-hover bg-light" style="width:100%">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Mobile</th>
                                <th>Stream</th>
                                <th style="min-width: 285px;">Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>
                                        
                                    </td>
                                    <td>
                                        <form action="" method="post" class="d-inline">
                                            <?= csrf_field() ?>
                                            <input type="hidden" name="action" value="approve">
                                            <input type="hidden" name="id" value="">
                                            <button class="btn btn-outline-primary btn-sm">Approve</button>
                                        </form>
                                        <form action="" method="post" class="d-inline">
                                            <?= csrf_field() ?>
                                            <input type="hidden" name="action" value="reject">
                                            <input type="hidden" name="id" value="">
                                            <button class="btn btn-outline-danger btn-sm">Reject</button>
                                        </form>
                                        <form action="" method="post" class="d-inline">
                                            <?= csrf_field() ?>
                                            <input type="hidden" name="action" value="delete">
                                            <input type="hidden" name="id" value="">
                                            <button class="btn btn-outline-danger btn-sm">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Mobile</th>
                                <th>Stream</th>
                                <th style="min-width: 165px;">Options</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.js"></script>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.bootstrap4.js"></script>
<script>
    new DataTable('#auctionTable');
</script>
<?= $this->endSection() ?>