<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<link href="https://cdn.datatables.net/2.0.0/css/dataTables.bootstrap4.css" rel="stylesheet" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <h4 class="card-title">All Users</h4>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive-lg">
                    <table id="userTable" class="table table-striped table-bordered table-hover bg-light" style="width:100%">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Phone</th>
                                <th>City</th>
                                <th>Auth Type</th>
                                <th>Plan</th>
                                <th>Status</th>
                                <th style="min-width: 270px;">Options</th>
                            </tr>
                        </thead>
                        <tbody>
                                <tr>
                                    <td>chetan tanwar</td>
                                    <td>chetan@adsplay.in</td>
                                    <td>9834778678</td>
                                    <td>Faridabad</td>
                                    <td>user</td>
                                    <td>
                                        active
                                    </td>
                                    <td>
                                        active
                                    </td>
                                    <td>
                                        <a href="<?= site_url('manage-users/edit-user/') ?>" class="btn btn-outline-primary btn-sm">Edit</a>
                                        <?php
                                        // $action = "";
                                        // switch ($user['status']) {
                                        //     case 0:
                                        //         $action = "activate";
                                        //         break;
                                        //     case 1:
                                        //         $action = "suspend";
                                        //         break;
                                        //     case 2:
                                        //         $action = "activate";
                                        //         break;
                                        //     default:
                                        //         break;
                                        // }
                                        ?>
                                        
                                            <form action="" method="post" class="d-inline">
                                                <?= csrf_field() ?>
                                                <input type="hidden" name="action" value="">
                                                <input type="hidden" name="id" value="">
                                                <!-- <button class="btn" "btn-outline-primary"  "btn-outline-danger" "btn-sm"></button> -->
                                            </form>
                                        
                                        <form action="" method="post" class="d-inline">
                                            <?= csrf_field() ?>
                                            <input type="hidden" name="action" value="delete">
                                            <input type="hidden" name="id" value="">
                                            <button class="btn btn-outline-danger btn-sm">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Phone</th>
                                <th>City</th>
                                <th>Auth Type</th>
                                <th>Plan</th>
                                <th>Status</th>
                                <th style="min-width: 270px;">Options</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.js"></script>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.bootstrap4.js"></script>
<script>
    new DataTable('#userTable');
</script>
<?= $this->endSection() ?>