<?php

namespace App\Filters;

use CodeIgniter\Filters\FilterInterface;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;

class Auth implements FilterInterface
{

    public function before(RequestInterface $request, $arguments = null)
    {
        if (session()->get('isLoggedIn')) {
            define('LOGGED_IN', true);
        } else {
            define('LOGGED_IN', false);
        }
        if ($arguments != null) {
            switch ($arguments[0]) {
                case 'loggedIn':
                    if (!LOGGED_IN) return redirect()->to(site_url('login'));
                    break;
                case 'loggedOut':
                    if (LOGGED_IN) return redirect()->to(site_url());
                    break;
                default:
                    break;
            }
        }
    }


    public function after(RequestInterface $request, ResponseInterface $response, $arguments = null)
    {
    }
}
