<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card card-user">
            <div class="card-header">
                <h5 class="card-title">Add Banner</h5>
            </div>
            <div class="card-body">
                <form method="post">
                    <?= csrf_field() ?>
                    <input type="hidden" name="action" value="add">
                    <input type="hidden" name="id" value="0">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name</label>
                                <input type="text" class="form-control" placeholder="Banner name" name="name" value="<?= old('name') ?>">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['name'])) ?  session()->getFlashdata('validation')['name'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Banner Type</label>
                                <select class="form-control" name="type">
                                    <?php foreach (BANNER_TYPES as $k => $type) : ?>
                                        <option value="<?= $k ?>" <?= ($k == old('type')) ? "selected" : "" ?>><?= ucwords($type) ?></option>
                                    <?php endforeach ?>
                                </select>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['type'])) ?  session()->getFlashdata('validation')['type'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Banner Location</label>
                                <select class="form-control" name="location">
                                    <?php foreach (BANNER_LOCATIONS as $k => $location) : ?>
                                        <option value="<?= $k ?>" <?= ($k == old('location')) ? "selected" : "" ?>><?= ucwords($location) ?></option>
                                    <?php endforeach ?>
                                </select>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['location'])) ?  session()->getFlashdata('validation')['location'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>HTML Content</label>
                                <textarea class="form-control textarea" name="content"><?= old('content') ?></textarea>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['content'])) ?  session()->getFlashdata('validation')['content'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                            <button type="submit" class="btn btn-primary btn-round">Add Banner</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<?= $this->endSection() ?>