<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<link href="https://cdn.datatables.net/2.0.0/css/dataTables.bootstrap4.css" rel="stylesheet" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <h4 class="card-title">Role Admin</h4>
                    <a href="<?= site_url('admin-role-manager/add-admin-role') ?>" class="btn btn-primary">Add Admin Role</a>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive-lg">
                    <table id="adminTable" class="table table-striped table-bordered table-hover bg-light" style="width:100%">
                        <thead>
                            <tr>
                                <th>Sr.</th>
                                <th>Admin Name</th>
                                <th>Role Name</th>
                                <th style="min-width: 165px;">Options</th>
                            </tr>
                        </thead>
                        <tbody>
                                <tr>
                                    <td>1</td>
                                    <td>Chetan Tanwar</td>
                                    <td>Banner Manager</td>
                                    <td>
                                        <a href="<?= site_url('admin-role-manager/edit-admin-role/' ) ?>" class="btn btn-outline-primary btn-sm">Edit</a>
                                        <form action="" method="post" class="d-inline">
                                            <?= csrf_field() ?>
                                            <input type="hidden" name="action" value="delete">
                                            <input type="hidden" name="id" value="">
                                            <button class="btn btn-outline-danger btn-sm">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Role</th>
                                <th style="min-width: 165px;">Options</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
  
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.js"></script>
<script src="https://cdn.datatables.net/2.0.0/js/dataTables.bootstrap4.js"></script>
<script>
    new DataTable('#auctionTable');
</script>
<?= $this->endSection() ?>