<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<link href="<?= site_url('assets/demo/demo.css') ?>" rel="stylesheet" />
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-lg-3 col-md-6 col-sm-6">
        <div class="card card-stats">
            <div class="card-body ">
                <div class="row">
                    <div class="col-5 col-md-4">
                        <div class="icon-big text-center icon-warning">
                            <i class="nc-icon nc-bullet-list-67 text-warning"></i>
                        </div>
                    </div>
                 
                </div>
            </div>
            <div class="card-footer ">
                <hr>
                <div class="stats">
                    <a href="<?= site_url() ?>" class="text-muted">
                        <i class="fa fa-refresh"></i>
                        Update Now
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3 col-md-6 col-sm-6">
        <div class="card card-stats">
            <div class="card-body ">
                <div class="row">
                    <div class="col-5 col-md-4">
                        <div class="icon-big text-center icon-warning">
                            <i class="nc-icon nc-single-02 text-success"></i>
                        </div>
                    </div>
                   
                </div>
            </div>
            <div class="card-footer ">
                <hr>
                <div class="stats">
                    <a href="<?= site_url() ?>" class="text-muted">
                        <i class="fa fa-refresh"></i>
                        Update Now
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3 col-md-6 col-sm-6">
        <div class="card card-stats">
            <div class="card-body ">
                <div class="row">
                    <div class="col-5 col-md-4">
                        <div class="icon-big text-center icon-warning">
                            <i class="nc-icon nc-vector text-danger"></i>
                        </div>
                    </div>
                    <div class="col-7 col-md-8">
                        <div class="numbers">
                            <p class="card-category">Errors</p>
                            <p class="card-title"><?= $errorCount ?>
                            <p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer ">
                <hr>
                <div class="stats">
                    <i class="fa fa-clock-o"></i>
                    Current Day
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3 col-md-6 col-sm-6">
        <div class="card card-stats">
            <div class="card-body ">
                <div class="row">
                    <div class="col-5 col-md-4">
                        <div class="icon-big text-center icon-warning">
                            <i class="nc-icon nc-chart-bar-32 text-primary"></i>
                        </div>
                    </div>
                 
                </div>
            </div>
            <div class="card-footer ">
                <hr>
                <div class="stats">
                    <a href="<?= site_url() ?>" class="text-muted">
                        <i class="fa fa-refresh"></i>
                        Update Now
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="card ">
            <div class="card-header ">
                <h5 class="card-title">Admin Behavior</h5>
                <p class="card-category">24 Hours performance</p>
            </div>
            <div class="card-body ">
                <canvas id=chartHours width="400" height="100"></canvas>
            </div>
            <div class="card-footer ">
                <hr>
                <div class="stats">
                    <i class="fa fa-history"></i> Updated 1 minutes ago
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <div class="card ">
            <div class="card-header ">
                <h5 class="card-title">Email Statistics</h5>
                <p class="card-category">Last Campaign Performance</p>
            </div>
            <div class="card-body ">
                <canvas id="chartEmail"></canvas>
            </div>
            <div class="card-footer ">
                <div class="legend">
                    <i class="fa fa-circle text-primary"></i> Opened
                    <i class="fa fa-circle text-warning"></i> Read
                    <i class="fa fa-circle text-danger"></i> Deleted
                    <i class="fa fa-circle text-gray"></i> Unopened
                </div>
                <hr>
                <div class="stats">
                    <i class="fa fa-calendar"></i> Number of emails sent
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-8">
        <div class="card card-chart">
            <div class="card-header">
                <h5 class="card-title">NASDAQ: AAPL</h5>
                <p class="card-category">Line Chart with Points</p>
            </div>
            <div class="card-body">
                <canvas id="speedChart" width="400" height="100"></canvas>
            </div>
            <div class="card-footer">
                <div class="chart-legend">
                    <i class="fa fa-circle text-info"></i> Tesla Model S
                    <i class="fa fa-circle text-warning"></i> BMW 5 Series
                </div>
                <hr />
                <div class="card-stats">
                    <i class="fa fa-check"></i> Data information certified
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function getTime(datetimeString, next = false) {
        var datetime = new Date(datetimeString);
        var hours = datetime.getHours().toString().padStart(2, '0');
        var minutes = datetime.getMinutes().toString().padStart(2, '0');
        if (next) {
            var timeString = hours + 1 + ":" + minutes;
        } else {
            var timeString = hours + ":" + minutes;
        }
        return timeString;
    }
    const timeSet = ["00:00", "02:00", "04:00", "06:00", "08:00", "10:00", "12:00", "14:00", "16:00", "18:00", "20:00", "22:00"]
    const allTrafficSet = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
    const getTrafficSet = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
    const postTrafficSet = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
    const data = JSON.parse('<?= json_encode($userTraffic, true) ?>')

    let i = 0;
    for (let x in data) {
        if (timeSet.includes(getTime(x) || timeSet.includes(getTime(x, true)))) {
            allTrafficSet[i] += data[x]['all']
            getTrafficSet[i] += data[x]['get']
            postTrafficSet[i] += data[x]['post']
        }
        i++;
    }
</script>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<script src="<?= site_url('assets/js/plugins/chartjs.min.js') ?>"></script>
<script src="<?= site_url('assets/demo/demo.js') ?>"></script>
<script>
    $(document).ready(function() {
        demo.initChartsPages(timeSet, postTrafficSet, getTrafficSet, allTrafficSet);
    });
</script>
<?= $this->endSection() ?>