<?= $this->extend('layout/main') ?>
<?= $this->section('head') ?>
<?= $this->endSection() ?>
<?= $this->section('styles') ?>
<?= $this->endSection() ?>
<?= $this->section('content') ?>
<div class="row">
    <div class="col-md-12">
        <div class="card card-user">
            <div class="card-header">
                <h5 class="card-title">Edit User</h5>
            </div>
            <div class="card-body">
                <form method="post">
                    <?= csrf_field() ?>
                    <input type="hidden" name="action" value="add">
                    <input type="hidden" name="id" value="0">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name</label>
                                <input type="text" class="form-control" placeholder="User name" name="name" value="">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['name'])) ?  session()->getFlashdata('validation')['name'] : "";
                                    ?>
                                </div>
                                
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email</label>
                                <input type="email" readonly class="form-control" placeholder="User email" name="email" value="">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['email'])) ?  session()->getFlashdata('validation')['email'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Phone</label>
                                <input type="tel" class="form-control" placeholder="User phone" name="phone" value="">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['phone'])) ?  session()->getFlashdata('validation')['phone'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>City</label>
                                <input type="text" class="form-control" placeholder="User city" name="city" value="">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['city'])) ?  session()->getFlashdata('validation')['city'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Admin Role</label>
                                <select class="form-control" name="plan">
                                   <option value="">user</option>
                                </select>
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['plan'])) ?  session()->getFlashdata('validation')['plan'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Password</label>
                                <input type="password" class="form-control" placeholder="User password" name="password">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['password'])) ?  session()->getFlashdata('validation')['password'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Confirm password</label>
                                <input type="password" class="form-control" placeholder="Confirm user password" name="confirm_password">
                                <div class="text-danger">
                                    <?php
                                    echo (isset(session()->getFlashdata('validation')['confirm_password'])) ?  session()->getFlashdata('validation')['confirm_password'] : "";
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                            <button type="submit" class="btn btn-primary btn-round">Update</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>
<?= $this->section('scripts') ?>
<?= $this->endSection() ?>