<div class="sidebar" data-color="white" data-active-color="danger">
    <div class="logo">
        <a href="<?= site_url() ?>" class="simple-text logo-mini">
            <div class="logo-image-small">
                <img src="<?= site_url('assets/img/fav.png') ?>">
            </div>
        </a>
        <a href="<?= site_url() ?>" class="simple-text logo-normal">
            EAuctions India
        </a>
    </div>
    <?php helper('Route') ?>
    <div class="sidebar-wrapper">
        <ul class="nav">
            <li class="<?= (uri_string() == "") ? "active" : "" ?>">
                <a href="<?= site_url() ?>">
                    <i class="nc-icon nc-bank"></i>
                    <p>Dashboard</p>
                </a>
            </li>
       
            <?php if (check_admin_role("admin-manager")) : ?>
                <li class="<?= link_active('manage-admins') ?>
            ">
                    <a href="<?= site_url('manage-admins') ?>">
                        <i class="nc-icon nc-single-02"></i>
                        <p>Manage Admins</p>
                    </a>
                </li>
            <?php endif ?>
            <?php if (check_admin_role("admin-manager")) : ?>
                <li class="<?= link_active('role-manager') ?>
            ">
                    <a href="<?= site_url('role-manager') ?>">
                        <i class="nc-icon nc-single-02"></i>
                        <p>Role Manager</p>
                    </a>
                </li>
            <?php endif ?>
            <?php if (check_admin_role("admin-manager")) : ?>
                <li class="<?= link_active('admin-role-manager') ?>
            ">
                    <a href="<?= site_url('admin-role-manager') ?>">
                        <i class="nc-icon nc-single-02"></i>
                        <p>Admin Role Manager</p>
                    </a>
                </li>
            <?php endif ?>
            <?php if (check_admin_role("user-manager")) : ?>
                <li class="<?= link_active('manage-users') ?>
            ">
                    <a href="<?= site_url('manage-users') ?>">
                        <i class="nc-icon nc-single-02"></i>
                        <p>Manage Users</p>
                    </a>
                </li>
            <?php endif ?>
            <?php if (check_admin_role("hero-manager")) : ?>
                <li class="<?= link_active('manage-hero') ?>
            ">
                    <a href="<?= site_url('manage-hero') ?>">
                        <i class="nc-icon nc-image"></i>
                        <p>Manage Hero</p>
                    </a>
                </li>
            <?php endif ?>
            <?php if (check_admin_role("banner-manager")) : ?>
                <li class="<?= link_active('manage-banners') ?>
            ">
                    <a href="<?= site_url('manage-banners') ?>">
                        <i class="nc-icon nc-image"></i>
                        <p>Manage Banners</p>
                    </a>
                </li>
            <?php endif ?>
            <?php if (check_admin_role("contact-lead-manager")) : ?>
                <li class="<?= link_active('manage-contact-leads') ?> ">
                    <a href="<?= site_url('manage-contact-leads') ?>">
                        <i class="nc-icon nc-email-85"></i>
                        <p>Contact Leads</p>
                    </a>
                </li>
            <?php endif ?>
        </ul>
    </div>
</div>